/*
  rb_gsl_poly.h
  Ruby/GSL: Ruby extension library for GSL (GNU Scientific Library)
    (C) Copyright 2001-2004 by Yoshiki Tsunesada

  Ruby/GSL is free software: you can redistribute it and/or modify it
  under the terms of the GNU General Public License.
  This library is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or POLYNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef ___RB_GSL_POLY_H___
#define ___RB_GSL_POLY_H___

#include "ruby.h"
#include <gsl/gsl_vector.h>
#include <gsl/gsl_poly.h>
#include <gsl/gsl_complex.h>
#include <gsl/gsl_complex_math.h>
#include "rb_gsl_complex.h"
#include "rb_gsl_array.h"

EXTERN VALUE mgsl;
EXTERN VALUE cgsl_poly;
EXTERN VALUE cgsl_poly_dd;
EXTERN VALUE cgsl_poly_taylor;
EXTERN VALUE cgsl_poly_workspace;

typedef gsl_vector gsl_poly;

#endif
